- Aldebaran documentation |
- C++ Libraries |
- index

libqi-api 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Namespaces | Macros | Typedefs | Functions
signature.hpp File Reference
`#include <qi/api.hpp>`
`#include <string>`
`#include <vector>`
`#include <list>`
`#include <map>`
`#include <sstream>`
`#include <boost/shared_ptr.hpp>`

Go to the source code of this file.

## Classes
class | qi::Signature

## Namespaces
| qi
| Deprecated in 2.5. Use int8_t from <cstdint>.

## Macros
#define | _QI_SIGNATURE_HPP_

## Typedefs
using | qi::SignatureVector = std::vector< Signature >

## Functions
std::vector< std::string > | qi::signatureSplit (const std::string &fullSignature)
qi::Signature | qi::makeTupleSignature (const std::vector< qi::AnyReference > &vgv, bool resolveDynamic=false, const std::string &name=std::string(), const std::vector< std::string > &names=std::vector< std::string >())
qi::Signature | qi::makeTupleSignature (const std::vector< TypeInterface * > &vgv, const std::string &name=std::string(), const std::vector< std::string > &names=std::vector< std::string >())
qi::Signature | qi::makeTupleSignature (const qi::Signature &element)
qi::Signature | qi::makeListSignature (const qi::Signature &element)
qi::Signature | qi::makeVarArgsSignature (const qi::Signature &element)
qi::Signature | qi::makeKwArgsSignature (const qi::Signature &element)
qi::Signature | qi::makeMapSignature (const qi::Signature &key, const qi::Signature &value)
qi::Signature | qi::makeOptionalSignature (const qi::Signature &value)
bool | qi::operator!= (const Signature &lhs, const Signature &rhs)
bool | qi::operator== (const Signature &lhs, const Signature &rhs)
char * | signature_to_json (const char *sig)

## Macro Definition Documentation

#define _QI_SIGNATURE_HPP_

Definition at line 8 of file signature.hpp.

## Function Documentation

char* signature_to_json | ( | const char * | sig | ) |